XYWriteParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
XYWriteParserInternal::State Struct Reference

the state of XYWrite More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor
libwps_tools_win::Font::Type | getFontType () const
| returns the current font type

## Public Attributes
bool | m_isDosFile
| flag to know if the file is or not a dos file
long | m_eof
| the last file position
libwps_tools_win::Font::Type | m_fontType
| the user font type
librevenge::RVNGPropertyList | m_metaData
| the meta data
std::map< std::string, Format > | m_nameToStyleMap
| map name to style
std::map< int, libwps::NumberingType > | m_counterToTypeMap
| map counter to type
std::map< int, int > | m_counterToValueMap
| map counter to value

## Detailed Description

the state of XYWrite

## Constructor & Destructor Documentation

## ◆ State()

XYWriteParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getFontType()

libwps_tools_win::Font::Type XYWriteParserInternal::State::getFontType | ( |  | ) | const
| inline

returns the current font type

## Member Data Documentation

## ◆ m_counterToTypeMap

std::map<int, libwps::NumberingType> XYWriteParserInternal::State::m_counterToTypeMap

map counter to type

Referenced by State().

## ◆ m_counterToValueMap

std::map<int, int> XYWriteParserInternal::State::m_counterToValueMap

map counter to value

Referenced by State().

## ◆ m_eof

long XYWriteParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type XYWriteParserInternal::State::m_fontType

the user font type

Referenced by getFontType(), and State().

## ◆ m_isDosFile

bool XYWriteParserInternal::State::m_isDosFile

flag to know if the file is or not a dos file

Referenced by getFontType(), and State().

## ◆ m_metaData

librevenge::RVNGPropertyList XYWriteParserInternal::State::m_metaData

the meta data

Referenced by State().

## ◆ m_nameToStyleMap

std::map<std::string, Format> XYWriteParserInternal::State::m_nameToStyleMap

map name to style

Referenced by State().

The documentation for this struct was generated from the following file:

- XYWrite.cpp